## visad.data.mcidas
Class TestArea

    java.lang.Object
      visad.data.mcidas.TestArea

public class TestArea
extends Object

This will test the Area File Adapter and Base Map (McIDAS formats) Adapter for VisAD. You need a sample AREA file, along with a McIDAS "OUTL" format map file. You may get these from ftp://allegro.ssec.wisc.edu/visad/ At this point, only GVAR, MSAT and MOLL navigation is supported, and no work has been done on calibration yet. There is quite a bit of extra printout that is usually commented out, but may provide some insight into the Math and Data structures employed.

Field Summary
`(package private) static String` `band`
`(package private) static String` `imageSource`
`(package private) static String` `mapfile`
`(package private) static boolean` `use2D`

Constructor Summary
`TestArea()`

Method Summary
`static void` `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### use2D

    static boolean use2D

### imageSource

    static String imageSource

### band

    static String band

### mapfile

    static String mapfile

Constructor Detail

### TestArea

    public TestArea()

Method Detail

### main

    public static void main(String[] args)